<wsdl:definitions
        xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
        name="bigPackets"
        xmlns:soap12bind="http://schemas.xmlsoap.org/wsdl/soap12/"

        xmlns:tns="http://www.entaxy.ru/connector/bigPackets/esb/1.0"
        targetNamespace="http://www.entaxy.ru/connector/bigPackets/esb/1.0"
        xmlns:types="http://www.entaxy.ru/ExchangeTypes/1.0">

    <wsdl:types>
        <schema xmlns="http://www.w3.org/2001/XMLSchema">
            <import namespace="http://www.entaxy.ru/ExchangeTypes/1.0"
                    schemaLocation="exchangeTypes_1_0.xsd"/>
        </schema>
    </wsdl:types>
    <wsdl:message name="TransferRequestRequest">
        <wsdl:part name="parameters" element="types:bigPacketInfo"/>
    </wsdl:message>
    <wsdl:message name="TransferRequestResponse">
        <wsdl:part name="parameters" element="types:response"/>
    </wsdl:message>
    <wsdl:message name="PutPartRequest">
        <wsdl:part name="parameters" element="types:bigPacketPart"/>
    </wsdl:message>
    <wsdl:message name="PutPartResponse">
        <wsdl:part name="parameters" element="types:response"/>
    </wsdl:message>
    <wsdl:message name="ConfirmTransferRequest">
        <wsdl:part name="parameters" element="types:uuid"/>
    </wsdl:message>
    <wsdl:message name="ConfirmTransferResponse">
        <wsdl:part name="parameters" element="types:response"/>
    </wsdl:message>
    <wsdl:message name="DownloadRequestRequest">
        <wsdl:part name="parameters" element="types:uuid"/>
    </wsdl:message>
    <wsdl:message name="DownloadRequestResponse">
        <wsdl:part name="parameters" element="types:response"/>
    </wsdl:message>
    <wsdl:message name="GetPartRequest">
        <wsdl:part name="parameters" element="types:getBigPacketPartRequest"/>
    </wsdl:message>
    <wsdl:message name="GetPartResponse">
        <wsdl:part name="parameters" element="types:response"/>
    </wsdl:message>
    <wsdl:message name="ConfirmDownloadRequest">
        <wsdl:part name="parameters" element="types:uuid"/>
    </wsdl:message>
    <wsdl:message name="ConfirmDownloadResponse">
        <wsdl:part name="parameters" element="types:response"/>
    </wsdl:message>

    <wsdl:portType name="bigPackets">
        <wsdl:operation name="TransferRequest">
            <wsdl:input message="tns:TransferRequestRequest"/>
            <wsdl:output message="tns:TransferRequestResponse"/>
        </wsdl:operation>
        <wsdl:operation name="PutPart">
            <wsdl:input message="tns:PutPartRequest"/>
            <wsdl:output message="tns:PutPartResponse"/>
        </wsdl:operation>
        <wsdl:operation name="ConfirmTransfer">
            <wsdl:input message="tns:ConfirmTransferRequest"/>
            <wsdl:output message="tns:ConfirmTransferResponse"/>
        </wsdl:operation>
        <wsdl:operation name="DownloadRequest">
            <wsdl:input message="tns:DownloadRequestRequest"/>
            <wsdl:output message="tns:DownloadRequestResponse"/>
        </wsdl:operation>
        <wsdl:operation name="GetPart">
            <wsdl:input message="tns:GetPartRequest"/>
            <wsdl:output message="tns:GetPartResponse"/>
        </wsdl:operation>
        <wsdl:operation name="ConfirmDownload">
            <wsdl:input message="tns:ConfirmDownloadRequest"/>
            <wsdl:output message="tns:ConfirmDownloadResponse"/>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="bigPacketsSOAP" type="tns:bigPackets">
        <soap12bind:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <wsdl:operation name="TransferRequest">
            <soap12bind:operation style="document"
                                  soapAction="http://www.entaxy.ru/connector/bigPackets/esb/1.0#Integration:TransferRequest"/>
            <wsdl:input>
                <soap12bind:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap12bind:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="PutPart">
            <soap12bind:operation style="document"
                                  soapAction="http://www.entaxy.ru/connector/bigPackets/esb/1.0#Integration:PutPart"/>
            <wsdl:input>
                <soap12bind:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap12bind:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="ConfirmTransfer">
            <soap12bind:operation style="document"
                                  soapAction="http://www.entaxy.ru/connector/bigPackets/esb/1.0#Integration:ConfirmTransfer"/>
            <wsdl:input>
                <soap12bind:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap12bind:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="DownloadRequest">
            <soap12bind:operation style="document"
                                  soapAction="http://www.entaxy.ru/connector/bigPackets/esb/1.0#Integration:DownloadRequest"/>
            <wsdl:input>
                <soap12bind:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap12bind:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="GetPart">
            <soap12bind:operation style="document"
                                  soapAction="http://www.entaxy.ru/connector/bigPackets/esb/1.0#Integration:GetPart"/>
            <wsdl:input>
                <soap12bind:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap12bind:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="ConfirmDownload">
            <soap12bind:operation style="document"
                                  soapAction="http://www.entaxy.ru/connector/bigPackets/esb/1.0#Integration:ConfirmDownload"/>
            <wsdl:input>
                <soap12bind:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap12bind:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="bigPackets">
        <wsdl:port name="bigPacketsSOAP" binding="tns:bigPacketsSOAP">
            <soap12bind:address location="http://esbHost/cxf/bigPackets"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>
